## ros-melodic-phidgets-imu 0.7.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(phidgets_imu)

# Use C++11
if (CMAKE_VERSION VERSION_LESS "3.1")
    if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
        set(CMAKE_CXX_FLAGS "-std=gnu++11 ${CMAKE_CXX_FLAGS}")
    endif()
else()
    set (CMAKE_CXX_STANDARD 11)
endif()

# High level of warnings:
if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra)
endif()

find_package(catkin REQUIRED COMPONENTS diagnostic_msgs diagnostic_updater nodelet pluginlib phidgets_api roscpp roslaunch sensor_msgs std_msgs std_srvs)

catkin_package(
    INCLUDE_DIRS include
    LIBRARIES phidgets_imu
    CATKIN_DEPENDS diagnostic_msgs diagnostic_updater nodelet pluginlib phidgets_api roscpp sensor_msgs std_msgs std_srvs
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(phidgets_imu src/imu_ros_i.cpp)
add_library(phidgets_imu_nodelet src/phidgets_imu_nodelet.cpp)

add_executable(phidgets_imu_node src/phidgets_imu_node.cpp)

add_dependencies(phidgets_imu ${catkin_EXPORTED_TARGETS})
add_dependencies(phidgets_imu_nodelet ${catkin_EXPORTED_TARGETS})
add_dependencies(phidgets_imu_node ${catkin_EXPORTED_TARGETS})

target_link_libraries(phidgets_imu ${catkin_LIBRARIES})
target_link_libraries(phidgets_imu_nodelet ${catkin_LIBRARIES} phidgets_imu)
target_link_libraries(phidgets_imu_node ${catkin_LIBRARIES} phidgets_imu)

install(TARGETS phidgets_imu phidgets_imu_nodelet phidgets_imu_node
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
    FILES_MATCHING PATTERN "*.h"
)

install(DIRECTORY config
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(FILES phidgets_imu_nodelet.xml
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

roslaunch_add_file_check(launch)

## ros-melodic-phidgets-imu 0.7.10

=== debian/changelog ===
ros-melodic-phidgets-imu (0.7.10-1stretch) stretch; urgency=high

  * Update maintainers in package.xml
  * Fix wrong defaults for standard deviations (#46 <https://github.com/ros-drivers/phidgets_drivers/issues/46>)
    The old parameter defaults were wrong:
    | parameter                 | old default                       | new default                        |
    |                           |                                   |                                    |
    | angular_velocity_stdev    | 0.000349056 rad/s (= 0.02 deg/s)  | 0.001658 rad/s    (= 0.095deg/s)   |
    | linear_acceleration_stdev | 0.002943 m/s^2 (= 0.0003 g)       | 0.002745862 m/s^2 (= 0.00028 g)    |
    | magnetic_field_stdev      | 0.001658 rad/s (= 0.095deg/s)     | 1.1e-7 T         (= 1.1 mG)        |
    Notes: T = Tesla, mG = milligauss
    Specifications come from the PhidgetSpatial Precision 3/3/3 1044_0 data sheet: https://www.phidgets.com/?&prodid=32
  * Improve the IMU calibration service (#41 <https://github.com/ros-drivers/phidgets_drivers/issues/41>)
  * Run clang-format on the whole codebase.
  * Switch to C++14 everywhere.
  * Change API from separate open/waitForAttachment to openAndWaitForAttachment.
  * Small cleanups throughout the code.
  * Push libphidgets API calls down to phidgets_api.
  * IMU: small fixes found by turning on compiler warnings.
  * Completely remove boost from the project.
  * Remove unused tf dependency from phidgets_imu.
  * Switch to package format 2.
  * Cleanup spacing in all of the CMakeLists.txt
  * Contributors: Chris Lalancette, Martin Günther, Michael Grupp

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Jun 2020 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.9-1stretch) stretch; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.8-1stretch) stretch; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.7-1stretch) stretch; urgency=high

  * Add parameter use_imu_time (default true) (#27 <https://github.com/ros-drivers/phidgets_drivers/issues/27>)
    Setting use_imu_time to false will disable the imu time calibration and
    always use the Host time, i.e. ros::Time::now().
  * Contributors: Jochen Sprickerhof

 -- Martin Guenther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.6-1stretch) stretch; urgency=high

  * phidgets_imu: Ensure strictly ordered timestamps (#26 <https://github.com/ros-drivers/phidgets_drivers/issues/26>)
    Fixes #17 <https://github.com/ros-drivers/phidgets_drivers/issues/17>.
  * Contributors: Michael Grupp, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Wed, 08 Aug 2018 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.5-1stretch) stretch; urgency=high

  * phidgets_imu: Add roslaunch_add_file_check
  * phidgets_imu: Add diagnostic_aggregator dependency
  * phidgets_imu: Add missing install rule for config
  * update to use non deprecated pluginlib macro (#19 <https://github.com/ros-drivers/phidgets_drivers/issues/19>)
  * Contributors: Martin Günther, Mikael Arguedas

 -- Martin Guenther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 23:00:00 -0000

ros-melodic-phidgets-imu (0.7.4-1stretch) stretch; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Tue, 03 Oct 2017 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.3-1stretch) stretch; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 29 Jun 2017 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.2-1stretch) stretch; urgency=high

  * First release into Lunar
  * phidgets_imu: Add use_magnetic_field_msg to launch
    This is required in Jade: Since Jade, phidgets_imu publishes
    MagneticField messages, but imu_filter_madgwick still subscribes by
    default to Vector3Stamped messages. When running as nodelets, this can
    produce a silent error.
    In Kinetic, this is optional: imu_filter_madgwick now defaults to
    MagneticField.
    From Lunar on, it should be removed, because the use_magnetic_field_msg
    param was removed from imu_filter_madgwick.
  * Contributors: Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.1-1stretch) stretch; urgency=high

  * phidgets_imu: add optional serial number parameter (#7 <https://github.com/ros-drivers/phidgets_drivers/issues/7>)
  * phidgets_imu: Add imu_filter_madgwick dependency
    Closes #9 <https://github.com/ros-drivers/phidgets_drivers/issues/9>.
  * Contributors: Johan M. von Behren, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 21 May 2017 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.0-1stretch) stretch; urgency=high

  * Publish MagneticField instead of Vector3Stamped
  * Report mag data in Tesla, not Gauss
    This is to conform with sensor_msgs/MagneticField, which requires the
    data to be in Tesla.
  * Contributors: Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-melodic-phidgets-imu (0.2.3-1stretch) stretch; urgency=high

  * Add IMU diagnostics (#24 <https://github.com/ccny-ros-pkg/phidgets_drivers/pull/24>)
  * Set data rate after reattachment
    This fixes a bug where after disconnecting and reconnecting the USB
    cable, the data rate would be set to the default of 125 Hz (= period of
    8ms). By moving the setDataRate call to the attachHandler, the data rate
    is correctly set after each reattachment.
  * Contributors: Mani Monajjemi, Keshav Iyengar, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-melodic-phidgets-imu (0.2.2-1stretch) stretch; urgency=high

  * Merge pull request #18 from ccny-ros-pkg/libphidgets
    Merge libphidgets branch into indigo
  * set orientation_covariance[0] to -1
    from Imu.msg:


=== debian/control ===
Source: ros-melodic-phidgets-imu
Section: misc
Priority: optional
Maintainer: Martin Günther <martin.guenther@dfki.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-nodelet, ros-melodic-phidgets-api, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-roslaunch, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs
Homepage: http://ros.org/wiki/phidgets_imu
Standards-Version: 3.9.2

Package: ros-melodic-phidgets-imu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-diagnostic-aggregator, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-imu-filter-madgwick, ros-melodic-nodelet, ros-melodic-phidgets-api, ros-melodic-pluginlib, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-std-msgs, ros-melodic-std-srvs
Description: Driver for the Phidgets Spatial 3/3/3 devices

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-phidgets-imu//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-phidgets-imu 0.7.11

=== debian/changelog ===
ros-melodic-phidgets-imu (0.7.11-1bionic) bionic; urgency=high



 -- Martin Günther <martin.guenther@dfki.de>  Thu, 08 Apr 2021 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.10-1bionic) bionic; urgency=high

  * Update maintainers in package.xml
  * Fix wrong defaults for standard deviations (#46 <https://github.com/ros-drivers/phidgets_drivers/issues/46>)
    The old parameter defaults were wrong:
    | parameter                 | old default                       | new default                        |
    |                           |                                   |                                    |
    | angular_velocity_stdev    | 0.000349056 rad/s (= 0.02 deg/s)  | 0.001658 rad/s    (= 0.095deg/s)   |
    | linear_acceleration_stdev | 0.002943 m/s^2 (= 0.0003 g)       | 0.002745862 m/s^2 (= 0.00028 g)    |
    | magnetic_field_stdev      | 0.001658 rad/s (= 0.095deg/s)     | 1.1e-7 T         (= 1.1 mG)        |
    Notes: T = Tesla, mG = milligauss
    Specifications come from the PhidgetSpatial Precision 3/3/3 1044_0 data sheet: https://www.phidgets.com/?&prodid=32
  * Improve the IMU calibration service (#41 <https://github.com/ros-drivers/phidgets_drivers/issues/41>)
  * Run clang-format on the whole codebase.
  * Switch to C++14 everywhere.
  * Change API from separate open/waitForAttachment to openAndWaitForAttachment.
  * Small cleanups throughout the code.
  * Push libphidgets API calls down to phidgets_api.
  * IMU: small fixes found by turning on compiler warnings.
  * Completely remove boost from the project.
  * Remove unused tf dependency from phidgets_imu.
  * Switch to package format 2.
  * Cleanup spacing in all of the CMakeLists.txt
  * Contributors: Chris Lalancette, Martin Günther, Michael Grupp

 -- Martin Günther <martin.guenther@dfki.de>  Tue, 02 Jun 2020 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.9-1bionic) bionic; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 27 Jun 2019 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.8-1bionic) bionic; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 05 May 2019 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.7-1bionic) bionic; urgency=high

  * Add parameter use_imu_time (default true) (#27 <https://github.com/ros-drivers/phidgets_drivers/issues/27>)
    Setting use_imu_time to false will disable the imu time calibration and
    always use the Host time, i.e. ros::Time::now().
  * Contributors: Jochen Sprickerhof

 -- Martin Guenther <martin.guenther@dfki.de>  Mon, 17 Sep 2018 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.6-1bionic) bionic; urgency=high

  * phidgets_imu: Ensure strictly ordered timestamps (#26 <https://github.com/ros-drivers/phidgets_drivers/issues/26>)
    Fixes #17 <https://github.com/ros-drivers/phidgets_drivers/issues/17>.
  * Contributors: Michael Grupp, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Wed, 08 Aug 2018 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.5-1bionic) bionic; urgency=high

  * phidgets_imu: Add roslaunch_add_file_check
  * phidgets_imu: Add diagnostic_aggregator dependency
  * phidgets_imu: Add missing install rule for config
  * update to use non deprecated pluginlib macro (#19 <https://github.com/ros-drivers/phidgets_drivers/issues/19>)
  * Contributors: Martin Günther, Mikael Arguedas

 -- Martin Guenther <martin.guenther@dfki.de>  Tue, 30 Jan 2018 23:00:00 -0000

ros-melodic-phidgets-imu (0.7.4-1bionic) bionic; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Tue, 03 Oct 2017 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.3-1bionic) bionic; urgency=high



 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 29 Jun 2017 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.2-1bionic) bionic; urgency=high

  * First release into Lunar
  * phidgets_imu: Add use_magnetic_field_msg to launch
    This is required in Jade: Since Jade, phidgets_imu publishes
    MagneticField messages, but imu_filter_madgwick still subscribes by
    default to Vector3Stamped messages. When running as nodelets, this can
    produce a silent error.
    In Kinetic, this is optional: imu_filter_madgwick now defaults to
    MagneticField.
    From Lunar on, it should be removed, because the use_magnetic_field_msg
    param was removed from imu_filter_madgwick.
  * Contributors: Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 01 Jun 2017 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.1-1bionic) bionic; urgency=high

  * phidgets_imu: add optional serial number parameter (#7 <https://github.com/ros-drivers/phidgets_drivers/issues/7>)
  * phidgets_imu: Add imu_filter_madgwick dependency
    Closes #9 <https://github.com/ros-drivers/phidgets_drivers/issues/9>.
  * Contributors: Johan M. von Behren, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Sun, 21 May 2017 22:00:00 -0000

ros-melodic-phidgets-imu (0.7.0-1bionic) bionic; urgency=high

  * Publish MagneticField instead of Vector3Stamped
  * Report mag data in Tesla, not Gauss
    This is to conform with sensor_msgs/MagneticField, which requires the
    data to be in Tesla.
  * Contributors: Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-melodic-phidgets-imu (0.2.3-1bionic) bionic; urgency=high

  * Add IMU diagnostics (#24 <https://github.com/ccny-ros-pkg/phidgets_drivers/pull/24>)
  * Set data rate after reattachment
    This fixes a bug where after disconnecting and reconnecting the USB
    cable, the data rate would be set to the default of 125 Hz (= period of
    8ms). By moving the setDataRate call to the attachHandler, the data rate
    is correctly set after each reattachment.
  * Contributors: Mani Monajjemi, Keshav Iyengar, Martin Günther

 -- Martin Guenther <martin.guenther@dfki.de>  Thu, 16 Feb 2017 23:00:00 -0000

ros-melodic-phidgets-imu (0.2.2-1bionic) bionic; urgency=high

  * Merge pull request #18 from ccny-ros-pkg/libphidgets
    Merge libphidgets branch into indigo
